### Constructor

# Pango Context new

#### Declaration [src]

    PangoContext*
    pango_context_new (
      void
    )

#### Description [src]

Creates a new `PangoContext` initialized to default values.

This function is not particularly useful as it should always be followed by a `pango_context_set_font_map()` call, and the function `pango_font_map_create_context()` does these two steps together and hence users are recommended to use that.

If you are using Pango as part of a higher-level system, that system may have it’s own way of create a `PangoContext`. For instance, the GTK toolkit has, among others, `gtk_widget_get_pango_context()`. Use those instead.

#### Return value

Type: `PangoContext`

The newly allocated `PangoContext`, which should be freed with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.